<div style="margin-top: 20px;">
    <div class="container">
        <div class="row maximum-width-p-list">
            <p-dataList 
                [value]="transferUnitRequestMain"
                [paginator]="true" 
                [rows]="itemsPerPage"
                [lazy]="true" 
                (onLazyLoad)="loadDataLazy($event)" 
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems">
                <p-header>
                    <div>
                        <form name="searchForm" class="form-inline">
                            <div class="input-group w-100 mt-3">
                                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                    name="currentSearch" placeholder="Cari Request Pos">
                                <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                                    <span class="fa fa-search"></span>
                                </button>
                                <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                    <span class="fa fa-trash-o"></span>
                                </button>
                            </div>
                        </form>
                    </div>
                </p-header>
                <ng-template let-rowData pTemplate="item">
                    <a [routerLink]="['../transfer-unit-receive-gudang/' + rowData.IdReqNot + '/transfer-unit-receive-gudang-detail']" (click)="gotoDetail(rowData)" style="color:black;">
                        <div class="ui-g ui-fluid border-item">
                            <div class="ui-g-6 ui-md-6">
                                <div class="ui-g-12 ui-sm-12">
                                    <div>
                                        <h5>Nomor Request Note : {{rowData.RequestNumber}}</h5> 
                                    </div>
                                    <div>
                                        Tanggal Request Note : {{rowData.dtRequest | date:'dd-MM-yyyy'}}
                                    </div>
                                    <div>
                                        Lokasi Tujuan : {{rowData.FacilityDest}}
                                    </div>
                                    <div>
                                        Qty : {{rowData.Qty}}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </a>
                </ng-template>
            </p-dataList>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>